Stand-alone class instantiation
Class instantiation

## Macros

#define | FLEXT_NEW(NAME, NEW_CLASS)
| Implementation of a flext class with no arguments.
#define | FLEXT_NEW_V(NAME, NEW_CLASS)
| Implementation of a flext class with a variable argument list.
#define | FLEXT_NEW_1(NAME, NEW_CLASS, TYPE)
| Implementation of a flext class with one argument.
#define | FLEXT_NEW_2(NAME, NEW_CLASS, TYPE1, TYPE2)
| Implementation of a flext class with 2 arguments.
#define | FLEXT_NEW_3(NAME, NEW_CLASS, TYPE1, TYPE2, TYPE3)
| Implementation of a flext class with 3 arguments.

## Detailed Description

Makes an actual instance of a stand-alone class.

## Macro Definition Documentation

## FLEXT_NEW

#define FLEXT_NEW | ( |  | NAME,
|  |  | NEW_CLASS )

Value:
\
REAL_NEW(NAME,NEW_CLASS,0,0,0)

Implementation of a flext class with no arguments.

Parameters

  NAME | the object's actual name(s) as a string (like "*", "trigger", "noise~", etc.)
  NEW_CLASS | the object's C++ class name

## FLEXT_NEW_1

#define FLEXT_NEW_1 | ( |  | NAME,
|  |  | NEW_CLASS,
|  |  | TYPE )

Value:
\
REAL_NEW_1(NAME,NEW_CLASS, 0,0,0, TYPE)

Implementation of a flext class with one argument.

## FLEXT_NEW_2

#define FLEXT_NEW_2 | ( |  | NAME,
|  |  | NEW_CLASS,
|  |  | TYPE1,
|  |  | TYPE2 )

Value:
\
REAL_NEW_2(NAME,NEW_CLASS, 0,0,0, TYPE1, TYPE2)

Implementation of a flext class with 2 arguments.

## FLEXT_NEW_3

#define FLEXT_NEW_3 | ( |  | NAME,
|  |  | NEW_CLASS,
|  |  | TYPE1,
|  |  | TYPE2,
|  |  | TYPE3 )

Value:
\
REAL_NEW_3(NAME,NEW_CLASS, 0,0,0, TYPE1, TYPE2, TYPE3)

Implementation of a flext class with 3 arguments.

## FLEXT_NEW_V

#define FLEXT_NEW_V | ( |  | NAME,
|  |  | NEW_CLASS )

Value:
\
REAL_NEW_V(NAME,NEW_CLASS,0,0,0)

Implementation of a flext class with a variable argument list.